List topics
List all topics, optionally filtered by organization and environment.
GET
/topics
List all topics, optionally filtered by organization and environment.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Query Parameters
org_id
string
optional
query
Filter by organization ID
env_id
string
optional
query
Filter by environment ID
Responses
200
Topics list
application/jsontopics
object | null[]
REQUIRED
Array of:
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
name
string
REQUIRED
slug
string
REQUIRED
description
string | null
REQUIRED
schema
string | null
REQUIRED
status
string
REQUIRED
created_at
string
REQUIRED
updated_at
string
REQUIRED
401
Unauthorized
curl -X GET 'https://hookstream.io/v1/topics' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/topics', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://hookstream.io/v1/topics', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://hookstream.io/v1/topics", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "topics": [ { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "name": "<string>", "slug": "<string>", "description": "<string>", "schema": "<string>", "status": "<string>", "created_at": "<string>", "updated_at": "<string>" } ]}
API Playground
Try this endpoint
GET
/topics